// Persistence Of Vision Ray Tracer Scene Description File
// -------------------------------------------------------
// File: @(#)test1.pov
// Desciption: test scene for POV-Anywhere project
// Creation Date: $ 10 Jan 2004, 22:53:29 $
// Last modified: $ 10 Jan 2004, 23:12:59 $
// Author: chris_hormann@gmx.de
//

#version 3.5;

global_settings {
  assumed_gamma 1.0
  max_trace_level 5
}

// ----------------------------------------

camera {
  location    <-0.6, -4, 2.5>
  direction   y
  sky         z
  up          z
  right       x*image_width/image_height
  look_at     <0.0, 0.0, 0.5>
  angle       55
  translate clock*0.5*y
}


light_source {
  <500,150,500> 
  color rgb <1.6, 1.35, 1.2>*3 
}

sky_sphere {
  pigment {
    gradient z
    color_map {
      [0.0 rgb <0.6,0.7,1.0>]
      [0.7 rgb <0.0,0.1,0.8>]
    }
  }
}

// ----------------------------------------

plane {
  z, 0
  texture {
    pigment { color rgb 0 }
  }
}


#declare Tex_Pile=
  texture {
    pigment { rgb <0.2,0.15,0.8> }
    finish {
      ambient 0.0
      diffuse 0.5
      specular 0.5
      roughness 0.05
      reflection {
        0.1, 0.5
      }
      conserve_energy
    }
  }

#declare Tex_Sphere=
  texture {
    pigment { rgb <0.9,0.05,0.1> }
    finish {
      ambient 0.0
      diffuse 0.5
      specular 0.5
      roughness 0.015
      reflection {
        0.1, 0.5
      }
      conserve_energy
    }
  }


#local Seed=seed(33);
#local Seed2=seed(33);
#local XPos=-10;

#while (XPos<15)
  
  #local YPos=-10;

  #while (YPos<50)
    
    #local Hgt=0.05+pow(rand(Seed)*0.8, 2);
    
    box {
      <-0.24,-0.24,-0.1>, <0.24,0.24,Hgt>
      translate <XPos,YPos,0>
      texture { Tex_Pile }
    }
    
    #if (rand(Seed2)>0.88)
      sphere {
        <XPos,YPos,Hgt+0.1>, 0.1
        texture { Tex_Sphere }
      }
    #end
    
    #local YPos=YPos + 0.5;
  #end
  
  #local XPos=XPos + 0.5;
  
#end

